SpellCheckingCharSequenceNormalizer.Mode (Apache OpenNLP :: Ext :: SpellChecker 3.0.0-M4 API)
Description: declaration: package: opennlp.spellcheck.normalizer, class: SpellCheckingCharSequenceNormalizer, enum: Mode

Package opennlp.spellcheck.normalizer

# Enum Class SpellCheckingCharSequenceNormalizer.Mode

java.lang.Object
java.lang.Enum<SpellCheckingCharSequenceNormalizer.Mode>
opennlp.spellcheck.normalizer.SpellCheckingCharSequenceNormalizer.Mode

All Implemented Interfaces:
  `Serializable`, `Comparable<SpellCheckingCharSequenceNormalizer.Mode>`, `Constable`

Enclosing class:
  `SpellCheckingCharSequenceNormalizer`

public static enum SpellCheckingCharSequenceNormalizer.Mode extends Enum<SpellCheckingCharSequenceNormalizer.Mode>
The correction mode.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMPOUND`
  Correct the whole input as a phrase, repairing space splits/merges.
  `PER_TOKEN`
  Correct each whitespace-delimited token independently.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SpellCheckingCharSequenceNormalizer.Mode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SpellCheckingCharSequenceNormalizer.Mode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PER_TOKEN

    public static final SpellCheckingCharSequenceNormalizer.Mode PER_TOKEN
    Correct each whitespace-delimited token independently.

  - ### COMPOUND

    public static final SpellCheckingCharSequenceNormalizer.Mode COMPOUND
    Correct the whole input as a phrase, repairing space splits/merges.

- ## Method Details

  - ### values

    public static SpellCheckingCharSequenceNormalizer.Mode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SpellCheckingCharSequenceNormalizer.Mode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null